opensesh docs

Get a CRM contact

GET
/contacts/{contactId}

Full detail: profile, tags, notes, event participation, pipeline position.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

contactId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contacts/string"
{  "contact": {    "id": "string",    "createdAt": "string",    "updatedAt": "string",    "organizationId": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "title": "string",    "company": "string",    "bio": "string",    "linkedinUrl": "string",    "twitterUrl": "string",    "facebookUrl": "string",    "websiteUrl": "string",    "headshotUrl": "string",    "custom": {}  },  "tags": [    {      "id": "string",      "createdAt": "string",      "updatedAt": "string",      "organizationId": "string",      "name": "string"    }  ],  "events": [    {      "link": {        "id": "string",        "createdAt": "string",        "updatedAt": "string",        "organizationContactId": "string",        "contactId": "string",        "eventId": "string",        "role": "string",        "status": "string"      },      "name": "string",      "slug": "string",      "sessions": [        {          "id": "string",          "code": "string",          "title": "string"        }      ]    }  ],  "notes": [    {      "note": {        "id": "string",        "organizationContactId": "string",        "body": "string",        "authorUserId": "string",        "authorApiKeyId": "string",        "createdAt": "string"      },      "authorName": "string"    }  ],  "card": {    "id": "string",    "createdAt": "string",    "updatedAt": "string",    "organizationContactId": "string",    "stageId": "string",    "ownerUserId": "string",    "note": "string"  },  "stageHistory": [    {      "history": {        "id": "string",        "cardId": "string",        "fromStageId": "string",        "toStageId": "string",        "actorUserId": "string",        "actorApiKeyId": "string",        "createdAt": "string"      },      "fromStageName": "string",      "toStageName": "string",      "actorName": "string"    }  ]}